Subject: Re: Broken installation

From: Mark Meyer <[email-masked]>
Date: Sun, 17 Dec 2017 14:17:21 +0100

This is the patch attached.

On Sun, Dec 17, 2017, at 14:15, Mark Meyer wrote:
> Hi,
> does the following patch resolve the issue for you? This does two
> things:
> 
>   - fix up the install phase to set the correct paths in settings.py
>   - add python-lxml as an input to fix another plugin
> 
> There is one remaining problem:
> 
>   ImportError: No module named BeautifulSoup
>   WARNING: Failed to load plugin web_import_plugin
> 
> So this particular plugin won't work. I didn't look deeply into this,
> but I think this is due to referencing a very old version of
> beautifulsoup, which is not currently packages, the current
> BeautifulSoup4 version uses 'bs4' as a module path, while the import
> states
> 
>   import BeatifulSoup
> 
> So, I'd rather skip that plugin for now.
> 
> Cheers, Mark
> 
> -- 
>   Mark Meyer
>   [email-masked]

-- 
  Mark Meyer
  [email-masked]
From 3ffb47334201539e66eaf9cba6bd54ed2330e9ee Mon Sep 17 00:00:00 2001
From: Mark Meyer <[email-masked]>
Date: Sun, 17 Dec 2017 14:08:17 +0100
Subject: [PATCH] gnu: gourmet: Fix runtime failure and enhance plugin.

* gnu/packages/nutrition.scm (gourmet)[inputs]: Add python-lxml.
[arguments]: Custom install phase.
---
 gnu/packages/nutrition.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/nutrition.scm b/gnu/packages/nutrition.scm
index 90019f848..0e03253cf 100644
--- a/gnu/packages/nutrition.scm
+++ b/gnu/packages/nutrition.scm
@@ -52,11 +52,18 @@
     (inputs
      `(("pygtk"             ,python2-pygtk)
        ("sqlalchemy"        ,python2-sqlalchemy)
+       ("python-lxml"       ,python2-lxml)
        ("python-pillow"     ,python2-pillow)
        ("elib.intl"         ,python2-elib.intl)))
     (arguments
      `(#:python ,python-2               ;exception and print syntax
-       #:tests? #f))                    ;tests look bitrotted
+       #:tests? #f                      ;tests look bitrotted
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'install
+           (lambda* (#:key make-flags #:allow-other-keys)
+             (zero? (system* "python" "setup.py" "install" "--prefix"
+                             (assoc-ref %outputs "out"))))))))
     (home-page "http://thinkle.github.io/gourmet/")
     (synopsis "Recipe organizer")
     (description
-- 
2.15.1